import { jsx } from "react/jsx-runtime";
import { TokenWAMPL as TokenWAMPL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWAMPL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WAMPL", "data-name": "TokenWAMPL", ...props, children: /* @__PURE__ */ jsx(TokenWAMPL$1, { variant }) });
  }
);
TokenWAMPL.displayName = "TokenWAMPL";
Object.assign(TokenWAMPL, { isGdsIcon: true });
export {
  TokenWAMPL
};
